package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.entity.Hero;
import me.hammerle.supersnuvi.util.Face;

public class KillTile extends BaseBoxTile
{
    public KillTile(String path) 
    {
        super(path);
    }

    @Override
    public void onEntityCollide(Entity ent, int x, int y, Face face) 
    {
        super.onEntityCollide(ent, x, y, face);
        if(ent instanceof Hero)
        {
            ent.getLevel().scheduleReset();
        }
    }
}
